<?php
/**
* File di conteggio dei record nelle sottomaschere. 
* Questo file � richiamato dal file {@link scheda.php}. 
* Il numero di record presenti nelle sottomaschere viene dinamicamente caricato nel nome delle sottomaschere, tra parentesi.
* 
* @package VFront
* @subpackage RPC
* @author Mario Marcello Verona <marcelloverona@gmail.com>
* @copyright 2007-2010 M.Marcello Verona
* @version 0.96 $Id: rpc.subcount.php 880 2010-12-14 12:43:47Z marciuz $
* @license http://www.gnu.org/licenses/gpl.html GNU Public License
*/


require("./inc/conn.php");
require("./inc/func.comuni.php");
require("./inc/func.frontend.php");

proteggi(1);


$sottomaschere = explode("|",$_GET['subs']);

$id_table=name2oid($_GET['action'],$_SESSION['gid']);
$_K = prendi_K_relazione_sub($id_table);

$out_num='';

for($i=0;$i<count($sottomaschere);$i++){
	
	if(is_tabella($sottomaschere[$i])){
		
		$PK=prendi_PK($_GET['action']);
		
		$sql="SELECT count(*) FROM ".$sottomaschere[$i]." sub, ".$_GET['action']." t
			WHERE t.{$_K[$i][0]} = sub.{$_K[$i][1]}
			AND t.$PK=".$vmsql->escape($_GET['id']);
		
		$q=$vmsql->query($sql);
		list($out)= $vmsql->fetch_row($q);
		$out_num.= (int) $out.",";
	}
	
	
}

echo substr($out_num,0,-1);


?>